openSUSE Security Update : apache-pdfbox (openSUSE-2018-1245)

Medium Nessus Plugin ID 118381

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for apache-pdfbox fixes the following security issue :

- CVE-2018-8036: A crafted file could have triggered an infinite loop which lead to DoS (bsc#1099721).

- CVE-2018-11797: A carefully crafted PDF file can trigger an extremely long running computation when parsing the page tree. (bsc#1111009) :

This update was imported from the SUSE:SLE-12-SP3:Update update project.

Solution

Update the affected apache-pdfbox packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1099721

https://bugzilla.opensuse.org/show_bug.cgi?id=1111009

Plugin Details

Severity: Medium

ID: 118381

File Name: openSUSE-2018-1245.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/10/25

Modified: 2018/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS v3.0

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:apache-pdfbox, p-cpe:/a:novell:opensuse:apache-pdfbox-javadoc, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2018/10/24

Reference Information

CVE: CVE-2018-11797, CVE-2018-8036